Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model.registry
Class FlowModelRegistryImpl

    java.lang.Object
      org.springframework.webflow.engine.model.registry.FlowModelRegistryImpl

All Implemented Interfaces:
  FlowModelLocator, FlowModelRegistry

    public class FlowModelRegistryImpl

extends java.lang.Object
implements FlowModelRegistry

A generic registry implementation for housing one or more flow models.

Author:
  Keith Donald, Scott Andrews

Constructor Summary
`FlowModelRegistryImpl()`

Method Summary
`FlowModel` | `getFlowModel(java.lang.String id)` Lookup the flow model with the specified id.
`void` | `registerFlowModel(java.lang.String id, FlowModelHolder modelHolder)` Register a flow model in this registry.
`void` | `setParent(FlowModelRegistry parent)` Sets this registry's parent registry.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlowModelRegistryImpl

    public FlowModelRegistryImpl()

Method Detail

### getFlowModel

    public FlowModel getFlowModel(java.lang.String id)
                           throws NoSuchFlowModelException

  Description copied from interface: `FlowModelLocator`
  Lookup the flow model with the specified id.

  Specified by:
    `getFlowModel` in interface `FlowModelLocator`
  Parameters:
    `id` - the flow model identifier
  Returns:
    the flow mode
  Throws:
    `NoSuchFlowModelException` - when the flow model with the specified id does not exist

### setParent

    public void setParent(FlowModelRegistry parent)

  Description copied from interface: `FlowModelRegistry`
  Sets this registry's parent registry. When asked by a client to locate a flow model this registry will query it's parent if it cannot fulfill the lookup request itself.

  Specified by:
    `setParent` in interface `FlowModelRegistry`
  Parameters:
    `parent` - the parent flow model registry, may be null

### registerFlowModel

    public void registerFlowModel(java.lang.String id,
                                  FlowModelHolder modelHolder)

  Description copied from interface: `FlowModelRegistry`
  Register a flow model in this registry. Registers a "holder", not the Flow model itself. This allows the actual Flow model to be loaded lazily only when needed, and also rebuilt at runtime when its underlying resource changes without re-deploy.

  Specified by:
    `registerFlowModel` in interface `FlowModelRegistry`
  Parameters:
    `id` - the id to register the flow model under
    `modelHolder` - a holder holding the flow model to register

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD